Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

updated Swiftmailer to 4.2.0

  • Loading branch information...
commit ae4aa5c29092532f4dc2bcfeebba05de8b55fa02 1 parent d1d720b
@fabpot fabpot authored
Showing with 2 additions and 3 deletions.
  1. +1 −2  app/autoload.php
  2. +1 −1  deps
View
3  app/autoload.php
@@ -41,5 +41,4 @@
// Swiftmailer needs a special autoloader to allow
// the lazy loading of the init file (which is expensive)
require_once __DIR__.'/../vendor/swiftmailer/lib/classes/Swift.php';
-Swift::registerAutoload(__DIR__.'/../vendor/swiftmailer/lib/swift_init.php');
-
+Swift::registerAutoload(function () { require_once __DIR__.'/../vendor/swiftmailer/lib/swift_init.php'; });
@stof Collaborator
stof added a note

requiring swift_required.php would simplify it for future changes in Swiftmailer instead of duplicating the logic.

@fabpot Owner
fabpot added a note

You're right. I'm going to change the code. Thanks.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
View
2  deps
@@ -24,7 +24,7 @@
[swiftmailer]
git=http://github.com/swiftmailer/swiftmailer.git
- version=v4.1.7
+ version=v4.2.0
[assetic]
git=http://github.com/kriswallsmith/assetic.git
@stof
Collaborator

requiring swift_required.php would simplify it for future changes in Swiftmailer instead of duplicating the logic.

@fabpot

You're right. I'm going to change the code. Thanks.

Please sign in to comment.
Something went wrong with that request. Please try again.